Last modified: 2014-02-06 04:51:13 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 56121 - Text of "learn more" link is awkward for local files
Text of "learn more" link is awkward for local files
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
MultimediaViewer (Other open bugs)
unspecified
All All
: Normal trivial with 1 vote (vote)
: ---
Assigned To: apsdehal
: easy
Depends on:
Blocks: messages 56265
  Show dependency treegraph
 
Reported: 2013-10-24 20:03 UTC by Tisza Gergő
Modified: 2014-02-06 04:51 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Tisza Gergő 2013-10-24 20:03:10 UTC
When viewing a local file, the link to the image description page says "Learn more on <wiki name>" which sounds a bit strange given that I am there already. Just "Learn more" would be better IMO.
Comment 1 Fabrice Florin 2013-10-28 18:17:35 UTC
Hi Gergo, good suggestion. Yes, let's remove the site name when you are already on that site, and just say 'Learn more', as you propose. Great catch!
Comment 2 Mark Holmquist 2013-11-05 16:20:07 UTC
Had a contributor contact me saying they wanted to take a crack - let's watch! :)
Comment 3 MZMcBride 2013-11-06 14:08:23 UTC
(In reply to comment #2)
> Had a contributor contact me saying they wanted to take a crack - let's
> watch! :)

As did I. The real issue here is bug 40497.
Comment 4 Andre Klapper 2013-11-06 14:12:26 UTC
durgasubramanian94: Please add comments to bug reports instead of sending private emails.
Comment 5 Quim Gil 2013-11-06 15:29:57 UTC
Hi Durga, some links to help you finding the pieces needed to fix and test this bug report:

About Media Viewer:
https://www.mediawiki.org/wiki/Multimedia/Media_Viewer
https://git.wikimedia.org/summary/mediawiki%2Fextensions%2FMultimediaViewer.git

The Media Viewer as deployed in Wikimedia can be tested by enabling "Beta features"in mediawiki.org
https://www.mediawiki.org/wiki/Beta_Features

You should install the extension in your development environment and find the problem Tisza is reporting. Then find the string mentioned by Tisza in the extension files and modify it as he is requesting. Test the result in your environment and, if you are happy with the result, propose your patch via Gerrit.

https://www.mediawiki.org/wiki/Gerrit

You fixed your first report by uploading the path in Bugzilla, which was good enough for a newcomer. Now the next step is to learn to do it the right way through Gerrit. You will like it.  :)

If you have questions, please ask here in the bug report itself, or in #wikimedia-dev IRC. 

Thank you for your interest in improving Media Viewer and good luck!
Comment 6 Tisza Gergő 2013-11-06 23:46:33 UTC
(In reply to comment #5)
> Then find the string mentioned by Tisza in the
> extension files and modify it as he is requesting.

It should be slightly more complex then that: right now we have a single "Learn
more on <wiki name>" message, which should be split into a "Learn more on <wiki name>" for remotely hosted images and a "Learn
more" for locally hosted images. So you need to add another message, find a way to figure out if the image is local or not (it should be somewhere in the data returned by the API), and select the right message depending on that.
Comment 7 Mark Holmquist 2013-11-20 00:06:37 UTC
Was there any progress on this?
Comment 8 Durga 2013-12-05 12:17:22 UTC
I had submitted the patch, there was an error in the first patch, it was a syntax error, so I had submitted another patch.
Comment 9 Andre Klapper 2013-12-05 12:20:14 UTC
Durga: A link to the submitted patch would be highly welcome. 
(A link to a patch in Gerrit would get automatically added in Bugzilla when following http://www.mediawiki.org/wiki/Gerrit/Commit_message_guidelines )
Comment 10 Tisza Gergő 2013-12-05 12:32:29 UTC
Also, please don't start a new patch when you need to modify something. See "Amending a change" in the Gerrit tutorial [1] on how to modify an existing patch.

And when you do discard an old patch, please use the "Abandon change" button in Gerrit so the system can know that no one intends to work on it anymore.

[1] https://www.mediawiki.org/wiki/Gerrit/Tutorial#Amending_a_change
Comment 11 Andre Klapper 2013-12-05 15:16:11 UTC
For the records, previous patches that need rework: https://gerrit.wikimedia.org/r/#/c/99359/ and https://gerrit.wikimedia.org/r/#/c/99366/
See comment 9 and comment 10 for instructions on Gerrit usage.
Comment 12 Durga 2013-12-06 07:46:55 UTC
Patch - https://gerrit.wikimedia.org/r/#/c/99359/
Comment 13 Durga 2013-12-06 08:05:41 UTC
Could anyone please tell me where the changes are to be made? I thought it has to be done in the i18n.php file
Comment 14 Andre Klapper 2013-12-06 10:21:32 UTC
Druga: My understanding of this (disclaimer: I am not a developer):

Don't redefine the value of the string variable multimediaviewer-repository in MultimediaViewer.i18n.php. Comment 6 here says "you need to add another message". Find where in the code (not: MultimediaViewer.i18n.php) "multimediaviewer-repository" is called and add the if check there.
Comment 15 Tisza Gergő 2013-12-06 13:11:31 UTC
As Andre says. Note also that $1 in i18n.php files does not get magically replaced (that only happens with $1 inside a string). The i18n.php file is a normal PHP file (which must return an array of message name => text); your changes would simply result in a syntax error.
Comment 16 Bawolff (Brian Wolff) 2013-12-19 07:05:40 UTC
Durga: Are you still interested in pursuing this? If not, I think apsdehal wants to take a crack at it.
Comment 17 Gerrit Notification Bot 2013-12-19 07:10:08 UTC
Change 102631 had a related patch set uploaded by Apsdehal:
Added 'Learn More' message

https://gerrit.wikimedia.org/r/102631
Comment 18 Gerrit Notification Bot 2013-12-30 18:20:28 UTC
Change 102631 merged by jenkins-bot:
Added 'Learn more' message

https://gerrit.wikimedia.org/r/102631
Comment 19 MZMcBride 2014-02-06 04:08:56 UTC
(In reply to comment #18)

Should this bug be marked resolved/fixed now?
Comment 20 Tisza Gergő 2014-02-06 04:51:13 UTC
It should! Thanks for pointing it out.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links